Bullet Collision Detection & Physics Library: btMultiBodySolverConstraint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btMultiBodySolverConstraint Struct Reference

1D constraint along a normal axis between bodyA and bodyB. It can be combined to solve contact and friction constraints. More...

`#include <btMultiBodySolverConstraint.h>`

Collaboration diagram for btMultiBodySolverConstraint:
[legend]

## Public Types
enum | btSolverConstraintType { BT_SOLVER_CONTACT_1D = 0 , BT_SOLVER_FRICTION_1D }

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btMultiBodySolverConstraint ()

## Public Attributes
int | m_deltaVelAindex
int | m_jacAindex
int | m_deltaVelBindex
int | m_jacBindex
btVector3 | m_relpos1CrossNormal
btVector3 | m_contactNormal1
btVector3 | m_relpos2CrossNormal
btVector3 | m_contactNormal2
btVector3 | m_angularComponentA
btVector3 | m_angularComponentB
btSimdScalar | m_appliedPushImpulse
btSimdScalar | m_appliedImpulse
btScalar | m_friction
btScalar | m_jacDiagABInv
btScalar | m_rhs
btScalar | m_cfm
btScalar | m_lowerLimit
btScalar | m_upperLimit
btScalar | m_rhsPenetration
union {
void * m_originalContactPoint
btScalar m_unusedPadding4
}; |
int | m_overrideNumSolverIterations
int | m_frictionIndex
int | m_solverBodyIdA
btMultiBody * | m_multiBodyA
int | m_linkA
int | m_solverBodyIdB
btMultiBody * | m_multiBodyB
int | m_linkB
btMultiBodyConstraint * | m_orgConstraint
int | m_orgDofIndex

## Detailed Description

1D constraint along a normal axis between bodyA and bodyB. It can be combined to solve contact and friction constraints.

Definition at line 28 of file btMultiBodySolverConstraint.h.

## Member Enumeration Documentation

## ◆ btSolverConstraintType

enum btMultiBodySolverConstraint::btSolverConstraintType

Enumerator
BT_SOLVER_CONTACT_1D |
BT_SOLVER_FRICTION_1D |

Definition at line 81 of file btMultiBodySolverConstraint.h.

## Constructor & Destructor Documentation

## ◆ btMultiBodySolverConstraint()

btMultiBodySolverConstraint::btMultiBodySolverConstraint | ( |  | ) |
| inline

Definition at line 33 of file btMultiBodySolverConstraint.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btMultiBodySolverConstraint::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## ◆

union { ... } btMultiBodySolverConstraint::@25

## ◆ m_angularComponentA

btVector3 btMultiBodySolverConstraint::m_angularComponentA

Definition at line 47 of file btMultiBodySolverConstraint.h.

## ◆ m_angularComponentB

btVector3 btMultiBodySolverConstraint::m_angularComponentB

Definition at line 48 of file btMultiBodySolverConstraint.h.

## ◆ m_appliedImpulse

btSimdScalar btMultiBodySolverConstraint::m_appliedImpulse
| mutable

Definition at line 51 of file btMultiBodySolverConstraint.h.

## ◆ m_appliedPushImpulse

btSimdScalar btMultiBodySolverConstraint::m_appliedPushImpulse
| mutable

Definition at line 50 of file btMultiBodySolverConstraint.h.

## ◆ m_cfm

btScalar btMultiBodySolverConstraint::m_cfm

Definition at line 56 of file btMultiBodySolverConstraint.h.

## ◆ m_contactNormal1

btVector3 btMultiBodySolverConstraint::m_contactNormal1

Definition at line 43 of file btMultiBodySolverConstraint.h.

## ◆ m_contactNormal2

btVector3 btMultiBodySolverConstraint::m_contactNormal2

Definition at line 45 of file btMultiBodySolverConstraint.h.

## ◆ m_deltaVelAindex

int btMultiBodySolverConstraint::m_deltaVelAindex

Definition at line 37 of file btMultiBodySolverConstraint.h.

## ◆ m_deltaVelBindex

int btMultiBodySolverConstraint::m_deltaVelBindex

Definition at line 39 of file btMultiBodySolverConstraint.h.

## ◆ m_friction

btScalar btMultiBodySolverConstraint::m_friction

Definition at line 53 of file btMultiBodySolverConstraint.h.

## ◆ m_frictionIndex

int btMultiBodySolverConstraint::m_frictionIndex

Definition at line 67 of file btMultiBodySolverConstraint.h.

## ◆ m_jacAindex

int btMultiBodySolverConstraint::m_jacAindex

Definition at line 38 of file btMultiBodySolverConstraint.h.

## ◆ m_jacBindex

int btMultiBodySolverConstraint::m_jacBindex

Definition at line 40 of file btMultiBodySolverConstraint.h.

## ◆ m_jacDiagABInv

btScalar btMultiBodySolverConstraint::m_jacDiagABInv

Definition at line 54 of file btMultiBodySolverConstraint.h.

## ◆ m_linkA

int btMultiBodySolverConstraint::m_linkA

Definition at line 71 of file btMultiBodySolverConstraint.h.

## ◆ m_linkB

int btMultiBodySolverConstraint::m_linkB

Definition at line 75 of file btMultiBodySolverConstraint.h.

## ◆ m_lowerLimit

btScalar btMultiBodySolverConstraint::m_lowerLimit

Definition at line 58 of file btMultiBodySolverConstraint.h.

## ◆ m_multiBodyA

btMultiBody* btMultiBodySolverConstraint::m_multiBodyA

Definition at line 70 of file btMultiBodySolverConstraint.h.

## ◆ m_multiBodyB

btMultiBody* btMultiBodySolverConstraint::m_multiBodyB

Definition at line 74 of file btMultiBodySolverConstraint.h.

## ◆ m_orgConstraint

btMultiBodyConstraint* btMultiBodySolverConstraint::m_orgConstraint

Definition at line 78 of file btMultiBodySolverConstraint.h.

## ◆ m_orgDofIndex

int btMultiBodySolverConstraint::m_orgDofIndex

Definition at line 79 of file btMultiBodySolverConstraint.h.

## ◆ m_originalContactPoint

void* btMultiBodySolverConstraint::m_originalContactPoint

Definition at line 62 of file btMultiBodySolverConstraint.h.

## ◆ m_overrideNumSolverIterations

int btMultiBodySolverConstraint::m_overrideNumSolverIterations

Definition at line 66 of file btMultiBodySolverConstraint.h.

## ◆ m_relpos1CrossNormal

btVector3 btMultiBodySolverConstraint::m_relpos1CrossNormal

Definition at line 42 of file btMultiBodySolverConstraint.h.

## ◆ m_relpos2CrossNormal

btVector3 btMultiBodySolverConstraint::m_relpos2CrossNormal

Definition at line 44 of file btMultiBodySolverConstraint.h.

## ◆ m_rhs

btScalar btMultiBodySolverConstraint::m_rhs

Definition at line 55 of file btMultiBodySolverConstraint.h.

## ◆ m_rhsPenetration

btScalar btMultiBodySolverConstraint::m_rhsPenetration

Definition at line 60 of file btMultiBodySolverConstraint.h.

## ◆ m_solverBodyIdA

int btMultiBodySolverConstraint::m_solverBodyIdA

Definition at line 69 of file btMultiBodySolverConstraint.h.

## ◆ m_solverBodyIdB

int btMultiBodySolverConstraint::m_solverBodyIdB

Definition at line 73 of file btMultiBodySolverConstraint.h.

## ◆ m_unusedPadding4

btScalar btMultiBodySolverConstraint::m_unusedPadding4

Definition at line 63 of file btMultiBodySolverConstraint.h.

## ◆ m_upperLimit

btScalar btMultiBodySolverConstraint::m_upperLimit

Definition at line 59 of file btMultiBodySolverConstraint.h.

The documentation for this struct was generated from the following file:

- btMultiBodySolverConstraint.h